/************************************************************************/
/*								INCLUDE FILES							*/
/************************************************************************/
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>

#include "can.h"

/************************************************************************/
/*								Main									*/
/************************************************************************/
void main(void)
{	
	ausgabe();

	// Variablendefinition
	can_t msg;
	uint8 data[8];
	data[0] = 0x1E;		// Adresse des zu beschreibenden Register 
	data[1] = 0x10;		// Maske    

	if (can_init(BITRATE_125_KBPS))
	{
		// Empfangspuffer leeren
		can_get_message(&msg);

		// CAN ID 0x500 in Sendepuffer TXB0 schreiben
		can_set_id(0x500, 0, TXB_0);	// ID 0x500, keine extended ID, Puffer TXB0

		// CAN ID 0x280 in Sendepuffer TXB1 schreiben
		can_set_id(0x280, 0, TXB_1);	// ID 0x280, keine extended ID, Puffer TXB1
				
		do
		{
			// Nachricht aus Sendepuffer TXB1 versenden 
			can_send_data(0, 8, RTR_, TXB_1);	// keine Daten, Lnge 8, eine RTR Nachricht, Puffer TXB1   
			
			// Empfangene Nachrichten abfragen
			can_get_message(&msg);
				
			// empfangene Daten auswerten
			if((msg.data[1] & 0x01)	== 0x00)
			// wenn Taste gedrueckt, LED an
			{
				data[2] = 0x00;
				printf("Taste gedrueckt, LED an\n");
			}
			else
			// sonst LED aus
			{
				data[2] = 0x10;
				printf("Taste nicht gedrueckt, LED aus\n");
			}

			// Nachricht senden, ob LED an oder aus
			can_send_data(data, 3, 0, TXB_0);  // Daten, Lnge 3, keine RTR Nachricht, Puffer TXB0
		
		}while(!_kbhit()); // zyklisch fortlaufend bis beliebige Tastatureingabe kommt

		can_close();
	}
}