#ifndef SPI_H
#define SPI_H

// -------------------------------------------------------------------------
#ifdef _WIN32
#include <windows.h>
#endif

// -------------------------------------------------------------------------
#include "libMPSSE_spi.h"

// -------------------------------------------------------------------------
// Initialisiert den SPI von FT2232H und oeffnet gewaehlten Kanal
// Parameter: Kanal der geoeffnet werden soll, Frequenz der Datenuebertragung
// Rueckgabewert: true wenn alles in Ordnung, false wenn kein Anschluss vorhanden
extern bool spi_init(uint32 CHANNEL_TO_OPEN, uint32 clockrate);

// -------------------------------------------------------------------------
// Schreibt ein Byte der SPI Schnittstelle
// Parameter: Daten die geschrieben werden sollen
void spi_write(uint8 data);

// -------------------------------------------------------------------------
// Liest ein Byte der SPI Schnittstelle
// Rueckgabewert: gelesene Daten
uint8 spi_read(void);

// -------------------------------------------------------------------------
// setzt Chipselect zurck
void Reset_CS(void);

// -------------------------------------------------------------------------
// schliet Kanal
extern void spi_closeChannel(void);

#endif